<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.19: https://docutils.sourceforge.io/" />

    <title>Code quality</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/epub.css" /> 
  </head><body>

    <div class="document">
      <div class="documentwrapper">
          <div class="body" role="main">
            
  <section id="code-quality">
<h1>Code quality</h1>
<section id="overview">
<h2>Overview</h2>
<p>Adding code to GitLab is subject to a series of code quality checks through continuous
integration. We recommend that you run these checks before submission. Please note that
the coverage rate is set at 100% and no errors at Flake8.</p>
</section>
<section id="coverage">
<h2>Coverage</h2>
<p>If docker-compose is running in test mode (<code class="code docutils literal notranslate"><span class="pre">docker-compose</span> <span class="pre">up</span> <span class="pre">-d</span> <span class="pre">--build</span></code>)</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>docker-compose<span class="w"> </span><span class="nb">exec</span><span class="w"> </span>web<span class="w"> </span>coverage<span class="w"> </span>run<span class="w"> </span>--omit<span class="o">=</span><span class="s1">&#39;manage.py&#39;</span><span class="w"> </span>manage.py<span class="w"> </span><span class="nb">test</span><span class="w"> </span>apps/
docker-compose<span class="w"> </span><span class="nb">exec</span><span class="w"> </span>web<span class="w"> </span>coverage<span class="w"> </span>html
</pre></div>
</div>
</section>
<section id="flake8">
<h2>Flake8</h2>
<p>If docker-compose is running</p>
<p>Note : In order not to fail at the time of continuous integration, no errors should be detected.</p>
<p>Documentation : <a class="reference external" href="https://flake8.pycqa.org/en/latest/index.html">Flake8</a><span class="link-target"> [https://flake8.pycqa.org/en/latest/index.html]</span></p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>docker-compose<span class="w"> </span><span class="nb">exec</span><span class="w"> </span>web<span class="w"> </span>flake8<span class="w"> </span>--exclude<span class="o">=</span><span class="s1">&#39;venv/,*migrations*,gisaid_cli2/&#39;</span>
</pre></div>
</div>
</section>
</section>


            <div class="clearer"></div>
          </div>
      </div>
      <div class="clearer"></div>
    </div>
  </body>
</html>